---
title: Join SimpleX Chat team
permalink: /jobs/index.html
layout: layouts/jobs.html
---

# Join SimpleX Chat team

SimpleX Chat Ltd is a seed stage startup with a lot of user growth in 2022-2023, and a lot of exciting technical and product problems to solve to grow faster.

We currently have 6 full-time people in the team.

We want to add 2 people to the team.

## Who we are looking for

### Web designer & developer for a website contract

You will work with the founder and a product marketing expert to convert the stories we want to tell our current and prospective users into interactive experiences.

You are an expert in creating interactive web experiences:
- 15+ years of web development and design experience.
- Passionate about communications, privacy and data ownership.
- Competent using PhotoShop, 3D modelling, etc.
- Competent in Web tech, including JavaScript, animations, etc.

We will NOT consider agencies or groups – it must be one person working on the project.

### Application Haskell engineer

You will work with the Haskell core of the client applications and with the network servers.

You are an expert in language models, databases and Haskell:
- expert knowledge of SQL.
- Haskell strictness, exceptions, [concurrency](https://simonmar.github.io/pages/pcph.html), STM, [type systems](https://thinkingwithtypes.com).
- 15y+ of software engineering experience in complex projects.
- deep understanding of the common programming principles:
  - data structures, bits and bytes, text encoding.
  - [functional software design](https://mitp-content-server.mit.edu/books/content/sectbyfn/books_pres_0/6515/sicp.zip/index.html) and algorithms.
  - protocols and networking.

## About you

- **Passionate about joining SimpleX Chat team**:
  - already use SimpleX Chat to communicate with friends/family or participate in public SimpleX Chat groups.
  - passionate about privacy, security and communications.
  - interested to make contributions to SimpleX Chat open-source project in your free time before we hire you, as an extended test.
  - you founded (and probably failed) at least one startup, or spent more time working for yourself than being employed.

- **Exceptionally pragmatic, very fast and customer-focussed**:
  - care about the customers (aka users) and about the product we build much more than about the code quality, technology stack, etc.
  - believe that the simplest solution is the best.
  - 2-3x faster than the most competent people you worked with.
  - focus on solving only today's problems and resist engineering for the future (aka over-engineering) – see [The Duct Tape Programmer](https://www.joelonsoftware.com/2009/09/23/the-duct-tape-programmer/) and [Why I Hate Frameworks](https://medium.com/@johnfliu/why-i-hate-frameworks-6af8cbadba42).
  - do not suffer from "not invented here" syndrome, at the same time interested to design and implement protocols and systems from the ground up when appropriate.

- **Want to join a very early stage startup**:
  - high pace and intensity, longer hours.
  - a substantial part of the compensation is stock options.
  - full transparency - we believe that too much [autonomy](https://twitter.com/KentBeck/status/851459129830850561) hurts learning and slows down progress.

## How to join the team

1. [Install the app](https://github.com/simplex-chat/simplex-chat#install-the-app), try using it with the friends and [join some user groups](https://github.com/simplex-chat/simplex-chat#join-user-groups) – you will discover a lot of things that need improvements.

2. Also look through [GitHub issues](https://github.com/simplex-chat/simplex-chat/issues) submitted by the users to see what would you want to contribute as a test.

3. [Connect to us](https://simplex.chat/contact#/?v=1&smp=smp%3A%2F%2Fu2dS9sG8nMNURyZwqASV4yROM28Er0luVTx5X1CsMrU%3D%40smp4.simplex.im%2FKBCmxJ3-lEjpWLPPkI6OWPk-YJneU5uY%23%2F%3Fv%3D1%26dh%3DMCowBQYDK2VuAyEAtixHJWDXvYWcoe-77vIfjvI6XWEuzUsapMS9nVHP_Go%253D%26srv%3Do5vmywmrnaxalvz6wi3zicyftgio6psuvyniis6gco6bp6ekl4cqj4id.onion) via SimpleX Chat to chat about what you want to contribute and about joining the team.

4. You can also email [jobs@simplex.chat](mailto:jobs@simplex.chat?subject=Join%20SimpleX%20Chat%20team)
